local cityGenerator = {}
	function cityGenerator.generateCity()
		cellSize = love.math.random( 2, 5 ) -- "Block" size
		citySize = love.math.random ( 40, 100 ) -- City size (city is a rectangle)

		city = {}

		for x = 1, citySize+1 do -- Creating/filling the city matrix with houses
			city[x] = {}

			for y = 1, citySize do 
				rand = love.math.random( 12, 13 )
				city[x][y] = rand
			end
		end
		-- Corners
		city[1][1] = 3
		city[1][#city-1] = 9
		city[#city][1] = 5
		city[#city][#city-1] = 11
		city[1][#city] = 0
		city[#city][#city] = 2

		for x = 2, #city-1 do
			city[x][#city] = 1
		end

		for x = 1, #city-2 do
			city[x+1][1] = 4
			city[x+1][#city-1] = 10
		end

		for x = 1, #city-1 do
			if city[1][x] ~=11 and city[1][x]~=9 and city[1][x]~=5 and city[1][x]~=3 then
				city[1][x] = 6
			end
			if city[#city][x] ~=11 and city[#city][x]~=9 and city[#city][x]~=5 and city[#city][x]~=3 then
				city[#city][x] = 8
			end
		end

		-- Thing that builds blocks
		for i = 1, citySize do 
			road = (cellSize*i) + i + 1

			if(road < citySize-1) then do

				for y = 2, citySize-1 do
					city[road][y] = 14
				end
				for x = 2, citySize do
					city[x][road] = 14
				end
			end
		end
	end
	end
return cityGenerator